Name "Kit de Desenvolvimento HUSIS 86 / HUSIS 86 Development Kit"
OutFile "..\KDH86INS.EXE"
InstallDir "$PROGRAMFILES\HUSIS 86\KDH86"
ComponentText "This will install the HUSIS 86 Development Kit on your computer. Select which optional things you want installed."
DirText "Choose a directory to install in to:"


Section "Common Files"
	SetOutPath $INSTDIR
	File "..\BibliotecaComum\bin\Release\BibliotecaComum.dll"
	File "..\BibliotecaComum\bin\Release\*.asm"
	CreateDirectory "$SMPROGRAMS\HUSIS 86"
	CreateShortCut "$SMPROGRAMS\HUSIS 86\Desinstalar.lnk" "$INSTDIR\Desinstalar.exe" "" "$INSTDIR\Desinstalar.exe" 0
	WriteRegStr HKCR ".hpj" "" "HPJFile"
	WriteRegStr HKCR "HPJFile" "" "Projeto HUSIS 86"
SectionEnd

Section "Ambiente de Desenvolvimento (IDE)"
	SetOutPath $INSTDIR
	File "..\AmbienteDeDesenvolvimento\bin\Release\AmbienteDeDesenvolvimento.exe"
	CreateShortCut "$SMPROGRAMS\HUSIS 86\Ambiente de Desenvolvimento.lnk" "$INSTDIR\AmbienteDeDesenvolvimento.exe" "" "$INSTDIR\AmbienteDeDesenvolvimento.exe" 0
	WriteRegStr HKCR "HPJFile\shell" "" "open"
	WriteRegStr HKCR "HPJFile\DefaultIcon" "" $INSTDIR\AmbienteDeDesenvolvimento.exe,0
	WriteRegStr HKCR "HPJFile\shell\open\command" "" '"$INSTDIR\AmbienteDeDesenvolvimento" "%1"'
SectionEnd

Section "Ambiente de Desenvolvimento (Translations)"
	SetOutPath $INSTDIR
	File "..\AmbienteDeDesenvolvimento\bin\Release\*.tra"
SectionEnd

Section "Compilador (Make-like Utility)"
	SetOutPath $INSTDIR
	File "..\Compilar\bin\Release\Compilar.exe"
	CreateShortCut "$SMPROGRAMS\HUSIS 86\Compilador (Dir).lnk" "explorer.exe" "$INSTDIR\" "$INSTDIR\Compilar.exe" 0
	WriteRegStr HKCR "HPJFile\shell\compile" "" "Compilar/Build"
	WriteRegStr HKCR "HPJFile\shell\compile\command" "" '"$INSTDIR\Compilar.exe" "%1" /PAUSA'
SectionEnd

Section "Assembler TinyASM for Win32"
	SetOutPath $INSTDIR
	File "..\AmbienteDeDesenvolvimento\bin\Release\TINYASM.EXE"
SectionEnd

Section "Assembler BRASM for Win32"
	SetOutPath $INSTDIR
	File "..\AmbienteDeDesenvolvimento\bin\Release\BRASM.EXE"
SectionEnd

UninstallText "This will uninstall HUSIS 86 Development Kit. Hit next to continue."
UninstallExeName "Desinstalar.exe"

Section "Uninstall"
  Delete $INSTDIR\*.*
  Delete "$SMPROGRAMS\HUSIS 86\*.*"
  RMDir "$SMPROGRAMS\HUSIS 86"
  RMDir "$INSTDIR"
  DeleteRegKey HKCR "HPJFile"
  DeleteRegKey HKCR ".hpj"
SectionEnd
