using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace AmbienteDeDesenvolvimento
{
    public partial class PerguntaForm : Form
    {
        public PerguntaForm(string pergunta)
        {
            InitializeComponent();
            perguntaRotulo.Text = pergunta;
        }
        public PerguntaForm(string pergunta, string respostaInicial)
        {
            InitializeComponent();
            perguntaRotulo.Text = pergunta;
            respostaCampo.Text = respostaInicial;
        }

        private void PerguntaForm_Load(object sender, EventArgs e)
        {
            okBotao.Text = Traducao.Ok;
            cancelarBotao.Text = Traducao.Cancelar;
        }

        public string Resposta
        {
            get
            {
                return respostaCampo.Text;
            }
        }

        private void okBotao_Click(object sender, EventArgs e)
        {
            this.DialogResult = DialogResult.OK;
            this.Close();
        }
    }
}