Name "Kit de Desenvolvimento HUSIS 86 / HUSIS 86 Development Kit"
OutFile "KDH86INS.EXE"
InstallDir "$PROGRAMFILES\HUSIS 86\KDH86"
ComponentText "This will install the HUSIS 86 Development Kit on your computer. Select which optional things you want installed."
DirText "Choose a directory to install in to:"

Section "Ambiente de Desenvolvimento (IDE)"
	SetOutPath $INSTDIR
	File "bin\Release\AmbienteDeDesenvolvimento.exe"
	File "bin\Release\BibliotecaComum.dll"
	File "bin\Release\BRASM.EXE"
	File "bin\Release\TINYASM.EXE"
	File "bin\Release\*.asm"
SectionEnd

Section "Transations"
	File "bin\Release\*.tra"
SectionEnd

Section "Assembler TinyASM for Win32"
	SetOutPath $INSTDIR
	File "bin\Release\TINYASM.EXE"
SectionEnd

Section "Assembler BRASM for Win32"
	SetOutPath $INSTDIR
	File "bin\Release\BRASM.EXE"
SectionEnd

Section "Start Menu Shortcuts"
  CreateDirectory "$SMPROGRAMS\HUSIS 86"
  CreateShortCut "$SMPROGRAMS\HUSIS 86\Desinstalar.lnk" "$INSTDIR\Desinstalar.exe" "" "$INSTDIR\Desinstalar.exe" 0
  CreateShortCut "$SMPROGRAMS\HUSIS 86\Ambiente de Desenvolvimento.lnk" "$INSTDIR\AmbienteDeDesenvolvimento.exe" "" "$INSTDIR\AmbienteDeDesenvolvimento.exe" 0
SectionEnd

UninstallText "This will uninstall HUSIS 86 Development Kit. Hit next to continue."
UninstallExeName "Desinstalar.exe"

Section "Uninstall"
  Delete $INSTDIR\*.*
  Delete "$SMPROGRAMS\HUSIS 86\*.*"
  RMDir "$SMPROGRAMS\HUSIS 86"
  RMDir "$INSTDIR"
SectionEnd
